/* Global Reset overrides */
body {
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
}

/* Custom Scrollbar */
.custom-scroll::-webkit-scrollbar {
    width: 6px;
}
.custom-scroll::-webkit-scrollbar-track {
    background: transparent; 
}
.custom-scroll::-webkit-scrollbar-thumb {
    background-color: #d1d5db; 
    border-radius: 20px;
}
.dark .custom-scroll::-webkit-scrollbar-thumb {
    background-color: #4b5563; 
}

/* Transitions */
body, div, nav, header, aside, a, button, input {
    transition: background-color 0.2s ease, border-color 0.2s ease, color 0.2s ease;
}